Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Interface CID

    public interface CID

This class enumerates the identifiers for the special system classes that the Squawk VM must be able to identify without necessary having a reference to a Klass object.

Field Summary
`static int` | `ADDRESS`
`static int` | `ADDRESS_ARRAY`
`static int` | `BOOLEAN`
`static int` | `BOOLEAN_ARRAY`
`static int` | `BYTE`
`static int` | `BYTE_ARRAY`
`static int` | `BYTECODE`
`static int` | `BYTECODE_ARRAY`
`static int` | `CHAR`
`static int` | `CHAR_ARRAY`
`static int` | `DOUBLE`
`static int` | `DOUBLE_ARRAY`
`static int` | `DOUBLE2`
`static int` | `FLOAT`
`static int` | `FLOAT_ARRAY`
`static int` | `GLOBAL`
`static int` | `GLOBAL_ARRAY`
`static int` | `GLOBAL_ARRAYARRAY`
`static int` | `INT`
`static int` | `INT_ARRAY`
`static int` | `KLASS`
`static int` | `LAST_SYSTEM_ID`
`static int` | `LOCAL`
`static int` | `LOCAL_ARRAY`
`static int` | `LONG`
`static int` | `LONG_ARRAY`
`static int` | `LONG2`
`static int` | `NATIVEUNSAFE`
`static int` | `NULL`
`static int` | `OBJECT`
`static int` | `OBJECT_ARRAY`
`static int` | `OFFSET`
`static int` | `SHORT`
`static int` | `SHORT_ARRAY`
`static int` | `STRING`
`static int` | `STRING_ARRAY`
`static int` | `STRING_OF_BYTES`
`static int` | `THROWABLE`
`static int` | `UWORD`
`static int` | `UWORD_ARRAY`
`static int` | `VOID`

Field Detail

### NULL

    static final int NULL

See Also:
  Constant Field Values

### OBJECT

    static final int OBJECT

See Also:
  Constant Field Values

### STRING

    static final int STRING

See Also:
  Constant Field Values

### THROWABLE

    static final int THROWABLE

See Also:
  Constant Field Values

### KLASS

    static final int KLASS

See Also:
  Constant Field Values

### VOID

    static final int VOID

See Also:
  Constant Field Values

### BOOLEAN

    static final int BOOLEAN

See Also:
  Constant Field Values

### BYTE

    static final int BYTE

See Also:
  Constant Field Values

### CHAR

    static final int CHAR

See Also:
  Constant Field Values

### SHORT

    static final int SHORT

See Also:
  Constant Field Values

### INT

    static final int INT

See Also:
  Constant Field Values

### LONG

    static final int LONG

See Also:
  Constant Field Values

### LONG2

    static final int LONG2

See Also:
  Constant Field Values

### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

### DOUBLE

    static final int DOUBLE

See Also:
  Constant Field Values

### DOUBLE2

    static final int DOUBLE2

See Also:
  Constant Field Values

### OBJECT_ARRAY

    static final int OBJECT_ARRAY

See Also:
  Constant Field Values

### STRING_ARRAY

    static final int STRING_ARRAY

See Also:
  Constant Field Values

### BOOLEAN_ARRAY

    static final int BOOLEAN_ARRAY

See Also:
  Constant Field Values

### BYTE_ARRAY

    static final int BYTE_ARRAY

See Also:
  Constant Field Values

### CHAR_ARRAY

    static final int CHAR_ARRAY

See Also:
  Constant Field Values

### SHORT_ARRAY

    static final int SHORT_ARRAY

See Also:
  Constant Field Values

### INT_ARRAY

    static final int INT_ARRAY

See Also:
  Constant Field Values

### LONG_ARRAY

    static final int LONG_ARRAY

See Also:
  Constant Field Values

### FLOAT_ARRAY

    static final int FLOAT_ARRAY

See Also:
  Constant Field Values

### DOUBLE_ARRAY

    static final int DOUBLE_ARRAY

See Also:
  Constant Field Values

### STRING_OF_BYTES

    static final int STRING_OF_BYTES

See Also:
  Constant Field Values

### LOCAL

    static final int LOCAL

See Also:
  Constant Field Values

### GLOBAL

    static final int GLOBAL

See Also:
  Constant Field Values

### LOCAL_ARRAY

    static final int LOCAL_ARRAY

See Also:
  Constant Field Values

### GLOBAL_ARRAY

    static final int GLOBAL_ARRAY

See Also:
  Constant Field Values

### GLOBAL_ARRAYARRAY

    static final int GLOBAL_ARRAYARRAY

See Also:
  Constant Field Values

### BYTECODE

    static final int BYTECODE

See Also:
  Constant Field Values

### BYTECODE_ARRAY

    static final int BYTECODE_ARRAY

See Also:
  Constant Field Values

### ADDRESS

    static final int ADDRESS

See Also:
  Constant Field Values

### ADDRESS_ARRAY

    static final int ADDRESS_ARRAY

See Also:
  Constant Field Values

### UWORD

    static final int UWORD

See Also:
  Constant Field Values

### UWORD_ARRAY

    static final int UWORD_ARRAY

See Also:
  Constant Field Values

### OFFSET

    static final int OFFSET

See Also:
  Constant Field Values

### NATIVEUNSAFE

    static final int NATIVEUNSAFE

See Also:
  Constant Field Values

### LAST_SYSTEM_ID

    static final int LAST_SYSTEM_ID

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"